<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRcvAdcData_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRcvAdcData_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This async event is in response to the command (RL_DEV_CONFIG_SET_MSG: RL_DEV_RX_DATA_PATH_CONF_SET_SB) which indicates ADC data needs to be transferred over SPI. This async event contains the ADC data followed by more such async events for additional data. SB-ID : RL_DEV_AE_MSS_ADC_DATA_SB.  
 <a href="structrl_rcv_adc_data__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9ff392acc8423cc96c946ab23f5a958a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ff392acc8423cc96c946ab23f5a958a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rcv_adc_data__t.html#a9ff392acc8423cc96c946ab23f5a958a">remChunks</a></td></tr>
<tr class="memdesc:a9ff392acc8423cc96c946ab23f5a958a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of remaining chunks expected. (Remaining length / 220 bytes) <br /></td></tr>
<tr class="separator:a9ff392acc8423cc96c946ab23f5a958a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74954e3ff23f8da54b4ee6f23e123024"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74954e3ff23f8da54b4ee6f23e123024"></a>
rlSInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rcv_adc_data__t.html#a74954e3ff23f8da54b4ee6f23e123024">adcData</a> [220U]</td></tr>
<tr class="memdesc:a74954e3ff23f8da54b4ee6f23e123024"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC data captured by the MMIC. Variable length [4-220] Bytes. <br /></td></tr>
<tr class="separator:a74954e3ff23f8da54b4ee6f23e123024"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This async event is in response to the command (RL_DEV_CONFIG_SET_MSG: RL_DEV_RX_DATA_PATH_CONF_SET_SB) which indicates ADC data needs to be transferred over SPI. This async event contains the ADC data followed by more such async events for additional data. SB-ID : RL_DEV_AE_MSS_ADC_DATA_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
